Skip to main content

Get SMS/MMS Messaging Information for External DID

This request returns the status of SMS/MMS messaging for an external DID, targeted by secure ID.

get /phonenumber/dids/{did_sid}/messaging

Sample

A sample GET request to get the status of SMS/MMS messaging for a rented DID, targeted by secure ID:

curl -X GET \
'https://api.carrierx.com/core/v2/phonenumber/external_dids/f3125c23-29dd-41b7-5dbc-89edba59230d/messaging' \
-H 'Authorization: Bearer 5ebc03d6-8b2b-44ad-bf65-72d4f1491dda'

Response

200 status code with information about the status of SMS/MMS enablement for the external DID:

{
"campaign_external_id": "CVN1LXI",
"campaign_sid": "fef13cdd-2f65-4ed8-8272-de2a940d0cb5",
"did_sid": "f3125c23-29dd-41b7-5dbc-89edba59230d",
"enabled": true,
"p2p_nnid": null,
"status": "enabled",
"type": "a2p"
}
tip

If the external DID has no SMS/MMS messaging information available, the request returns the 404 status code with the no item error message.

{
"message": "no item error",
"errors": [
{
"field": null,
"message": "cannot find item by sid",
"reference_sid": null
}
]
}

Required Scopes

To get information about an external DID, the partner must have one of the following scopes enabled:

  • phonenumber.manage
  • phonenumber.read

Path Arguments

ParameterData TypeDescription
external_did_sid requiredstringThe secure ID of the external DID, for which messaging is enabled or disabled.